## python-pygit2 0.24.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pygit2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pygit2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pygit2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pygit2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-pygit2 0.22.0

=== debian/changelog ===
python-pygit2 (0.22.0-3build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 00:05:53 +0000

python-pygit2 (0.22.0-3) unstable; urgency=medium

  * Depends on version >= 0.9.2 of python-cffi (Closes: #788095).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jun 2015 17:39:37 +0200

python-pygit2 (0.22.0-2) unstable; urgency=medium

  * Removed broken unit tests (Closes: #786509).
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jun 2015 14:48:00 +0200

python-pygit2 (0.22.0-1) unstable; urgency=medium

  * New upstream release:
    - Adds support for libgit2 >= 0.22 which unfortunately is incompatible
    with previous version, so we restrict to that (Closes: #786597).
  * Ran wrap-and-sort.
  * Removed version in Build-Depends on python{3,}-all-dev.
  * Overrides dh_auto_clean to allow easier gbp builds.
  * Added PYTHON_PATH=. when running unit tests (Closes: #786509).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 May 2015 10:39:26 +0200

python-pygit2 (0.21.4-2) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/watch
    - add trailing slash to fix downloads
  * debian/control
    - add python{,3}-{cffi,pycparser} to build-depends (Closes: #784298).
  * debian/rules
    - export http{,s}_proxy to prevent any online activity during build

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 May 2015 21:50:21 +0000

python-pygit2 (0.21.4-1) unstable; urgency=medium

  * Initial release. (Closes: #769427)

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Nov 2014 22:19:17 +0800

=== debian/control ===
Source: python-pygit2
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               libffi-dev,
               libgit2-dev (>= 0.22),
               python-all-dev,
               python-cffi (>= 0.9.2),
               python-pycparser,
               python-setuptools,
               python-sphinx,
               python3-all-dev,
               python3-cffi (>= 0.9.2),
               python3-pycparser,
               python3-setuptools,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pygit2.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pygit2.git
Homepage: https://github.com/libgit2/pygit2

Package: python-pygit2
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python-cffi (>= 0.9.2),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Suggests: python-pygit2-doc,
Description: bindings for libgit2 - Python 2.x
 The Pygit2 module provides a set of Python bindings to the libgit2 shared
 library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
 3.2, 3.3, 3.4 and pypy.
 .
 This package contains the Python 2.x module.

Package: python3-pygit2
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python3-cffi (>= 0.9.2),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-pygit2-doc,
Description: bindings for libgit2 - Python 3.x
 The Pygit2 module provides a set of Python bindings to the libgit2 shared
 library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
 3.2, 3.3, 3.4 and pypy.
 .
 This package contains the Python 3.x module.

Package: python-pygit2-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: bindings for libgit2 - doc
 The Pygit2 module provides a set of Python bindings to the libgit2 shared
 library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
 3.2, 3.3, 3.4 and pypy.
 .
 This package contains the documentation.

## python-pygit2 0.23.0

=== debian/changelog ===
python-pygit2 (0.23.0-2) unstable; urgency=medium

  * Rebuild to fix permission error in Py3 (Closes: #807435).

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Dec 2015 09:37:04 +0000

python-pygit2 (0.23.0-1) unstable; urgency=medium

  * New upstream release (Closes: #797185):
    - Fixes can't import in Python3 (Closes: #796657).
  * Refreshed and rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 08:30:14 +0000

## python-pygit2 0.23.3

=== debian/changelog ===
python-pygit2 (0.23.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 09:53:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-pygit2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                libffi-dev,
-               libgit2-dev (>= 0.22),
+               libgit2-dev (>= 0.23),
                python-all-dev,
                python-cffi (>= 0.9.2),
                python-pycparser,
@@ -24,7 +23,6 @@
 
 Package: python-pygit2
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: python-cffi (>= 0.9.2),
          ${misc:Depends},
          ${python:Depends},
@@ -39,7 +37,6 @@
 
 Package: python3-pygit2
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: python3-cffi (>= 0.9.2),
          ${misc:Depends},
          ${python3:Depends},
@@ -55,7 +52,6 @@
 Package: python-pygit2-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: bindings for libgit2 - doc

## python-pygit2 0.24.0

=== debian/changelog ===
python-pygit2 (0.24.0-0ubuntu2) xenial; urgency=medium

  * Build-depend on six.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 23:05:44 +0200

python-pygit2 (0.24.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 22:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                libffi-dev,
-               libgit2-dev (>= 0.23),
+               libgit2-dev (>= 0.24),
                python-all-dev,
                python-cffi (>= 0.9.2),
                python-pycparser,
                python-setuptools,
+               python-six,
                python-sphinx,
                python3-all-dev,
                python3-cffi (>= 0.9.2),
                python3-pycparser,
                python3-setuptools,
+               python3-six,
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pygit2.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-pygit2.git

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/libgit2/pygit2.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/
# export LDFLAGS="-Wl,-rpath='$LIBGIT2/lib',--enable-new-dtags $LDFLAGS"

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pygit2; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pygit2; \
	done
	rm -rf $(CURDIR)/debian/python*-pygit2/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHON_PATH=. python$$pyvers setup.py test -v ; \
	done
endif

override_dh_auto_clean:
	echo "noop"

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build
	rm -rf pygit2/__pycache__

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-pygit2 0.24.1

=== debian/changelog ===
python-pygit2 (0.24.1-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 17 Nov 2016 19:04:27 +0000

python-pygit2 (0.24.1-1) unstable; urgency=medium

  * New upstream release
  * d/{control,copyright}: Use my @debian.org email address
  * Changed Vcs-Browser URL to cgit
  * Removed reproducible_build.patch (Applied upstream)
  * Install README.rst

 -- Ondřej Nový <onovy@debian.org>  Sat, 25 Jun 2016 23:15:34 +0200

python-pygit2 (0.24.0-3) unstable; urgency=medium

  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Added reproducible_build.patch to make build reproducible

 -- Ondřej Nový <novy@ondrej.org>  Tue, 07 Jun 2016 22:38:46 +0200

python-pygit2 (0.24.0-2) unstable; urgency=medium

  * Run unit tests with UTC timezone, which workarounds upstream bug

 -- Ondřej Nový <novy@ondrej.org>  Thu, 21 Apr 2016 22:19:45 +0200

python-pygit2 (0.24.0-1) unstable; urgency=medium

  * Added myself as uploader
  * d/copyright: Added myself for Debian part
  * New upstream release (Closes: #820949)
  * Added python{3,}-six build dependency
  * Bumbed libgit2 dependency version
  * Added simple Debian tests
  * Standards-Version is 3.9.8 now (no change)

 -- Ondřej Nový <novy@ondrej.org>  Wed, 20 Apr 2016 14:29:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/libgit2/pygit2.git
+UPSTREAM_GIT := https://github.com/libgit2/pygit2.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 export  http_proxy=http://127.0.0.1:9/
@@ -27,7 +27,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		PYTHON_PATH=. python$$pyvers setup.py test -v ; \
+		TZ="/usr/share/zoneinfo/Etc/UTC" PYTHON_PATH=. python$$pyvers setup.py test -v ; \
 	done
 endif
 
@@ -43,6 +43,11 @@
 	sphinx-build -b html docs debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
+override_dh_installdocs:
+	dh_installdocs
+
+	dh_installdocs -A README.rst
+
 # Commands not to run
 override_dh_installcatalogs:
 override_dh_installemacsen override_dh_installifupdown:

## python-pygit2 0.24.2

=== debian/changelog ===
python-pygit2 (0.24.2-3) unstable; urgency=medium

  * Maintainer: DPMT team
  * Vcs-* move to DPMT
  * Use pybuild
  * Use autopkgtest-pkg-python testsuite
  * Standards-Version is 4.0.0.4 now (no changes needed)
  * d/copyright: Bump copyright years
  * d/s/options: Remove extend-diff-ignore of .gitreview
  * Small package description cleanup
  * Enable hardening

 -- Ondřej Nový <onovy@debian.org>  Fri, 04 Aug 2017 01:49:10 +0200

python-pygit2 (0.24.2-2) unstable; urgency=medium

  * Drop unnecessary Depends on python-cffi (Closes: #849744)

 -- Ondřej Nový <onovy@debian.org>  Mon, 02 Jan 2017 23:58:16 +0100

python-pygit2 (0.24.2-1) unstable; urgency=medium

  * New upstream release
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper version to 10
  * d/patches: Rebased for new release

 -- Ondřej Nový <onovy@debian.org>  Thu, 17 Nov 2016 20:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-pygit2
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+           Ondřej Nový <onovy@debian.org>,
+Build-Depends: debhelper (>= 10),
                dh-python,
                libffi-dev,
                libgit2-dev (>= 0.24),
@@ -18,15 +19,15 @@
                python3-pycparser,
                python3-setuptools,
                python3-six,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pygit2.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pygit2.git
+Standards-Version: 4.0.0.4
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pygit2.git/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
+Testsuite: autopkgtest-pkg-python
 
 Package: python-pygit2
 Architecture: any
-Depends: python-cffi (>= 0.9.2),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
 Suggests: python-pygit2-doc,
@@ -39,15 +40,14 @@
 
 Package: python3-pygit2
 Architecture: any
-Depends: python3-cffi (>= 0.9.2),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
 Suggests: python-pygit2-doc,
 Description: bindings for libgit2 - Python 3.x
  The Pygit2 module provides a set of Python bindings to the libgit2 shared
  library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
- 3.2, 3.3, 3.4 and pypy.
+ 3.x and pypy.
  .
  This package contains the Python 3.x module.
 
@@ -59,6 +59,6 @@
 Description: bindings for libgit2 - doc
  The Pygit2 module provides a set of Python bindings to the libgit2 shared
  library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
- 3.2, 3.3, 3.4 and pypy.
+ 3.x and pypy.
  .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pygit2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html
	dh_sphinxdoc

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A README.rst

## python-pygit2 0.26.2

=== debian/changelog ===
python-pygit2 (0.26.2-2) unstable; urgency=medium

  * Skip broken unit tests in buildd

 -- Ondřej Nový <onovy@debian.org>  Fri, 01 Dec 2017 19:05:32 +0100

python-pygit2 (0.26.2-1) unstable; urgency=medium

  * New upstream release
  * Rebase and cleanup patches
  * Use Python 3 version of Sphinx to build docs
  * Bump Standards-Version to 4.1.2 (no changes needed)
  * Build docs with PYBUILD_AFTER_INSTALL_python3 because
    they needs built CFFI module

 -- Ondřej Nový <onovy@debian.org>  Fri, 01 Dec 2017 15:31:11 +0100

python-pygit2 (0.26.0-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Thu, 14 Sep 2017 12:34:05 +0200

python-pygit2 (0.26.0-1) experimental; urgency=medium

  * New upstream release (Closes: #873143)
  * d/copyright: Bump upstream copyright years
  * d/control: Bump required libgit2 version to 0.26
  * Drop zigo from uploaders because he requested it
  * Skip submodule tests, https is not supported by libgit2

 -- Ondřej Nový <onovy@debian.org>  Wed, 30 Aug 2017 12:05:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
-           Ondřej Nový <onovy@debian.org>,
+Uploaders: Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 10),
                dh-python,
                libffi-dev,
-               libgit2-dev (>= 0.24),
+               libgit2-dev (>= 0.26),
                python-all-dev,
                python-cffi (>= 0.9.2),
                python-pycparser,
                python-setuptools,
                python-six,
-               python-sphinx,
+               python3-sphinx,
                python3-all-dev,
                python3-cffi (>= 0.9.2),
                python3-pycparser,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.0.0.4
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pygit2.git/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pygit2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_AFTER_INSTALL_python3=PYTHONPATH={build_dir} sphinx-build -b html $(CURDIR)/docs $(CURDIR)/debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A README.rst

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/libgit2/pygit2/tags .*/v(\d[\d\.]+)\.tar\.gz

## python-pygit2 0.26.3

=== debian/changelog ===
python-pygit2 (0.26.3-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * d/rules: Don't install README.rst, it doesn't have any valuable
    information

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jan 2018 16:42:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                libffi-dev,
                libgit2-dev (>= 0.26),
@@ -18,7 +18,7 @@
                python3-pycparser,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pygit2.git/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,3 @@
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_installdocs:
-	dh_installdocs
-
-	dh_installdocs -A README.rst

## python-pygit2 0.27.1

=== debian/changelog ===
python-pygit2 (0.27.1-2) unstable; urgency=medium

  * Convert git repository from git-dpm to gbp layout
  * Skip test_no_context_lines (Closes: #886435)
  * Bump standards version to 4.2.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Aug 2018 15:07:35 +0200

python-pygit2 (0.27.1-1) unstable; urgency=medium

  * Uploading to unstable
  * New upstream release (Closes: #901672)

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Jul 2018 10:30:43 +0200

python-pygit2 (0.27.0-1) experimental; urgency=medium

  * New upstream release (Closes: #898884)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/copyright: Bump my copyright year
  * Use unittest discover instead of distutils for tests (Closes: #893242)
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Thu, 17 May 2018 12:15:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                libffi-dev,
-               libgit2-dev (>= 0.26),
+               libgit2-dev (>= 0.27),
                python-all-dev,
                python-cffi (>= 0.9.2),
                python-pycparser,
@@ -18,9 +18,9 @@
                python3-pycparser,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pygit2.git/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pygit2.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pygit2
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_test:
+	PYBUILD_SYSTEM=custom dh_auto_test

## python-pygit2 0.27.4

=== debian/changelog ===
python-pygit2 (0.27.4-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * d/copyright:
    - Fix copyright for new upstream release
    - Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 15:10:17 +0100

python-pygit2 (0.27.3-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Rebase patches
  * Switch to pytest (same as upstream)

 -- Ondřej Nový <onovy@debian.org>  Mon, 31 Dec 2018 22:07:57 +0100

python-pygit2 (0.27.2-1) unstable; urgency=medium

  * New upstream release
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/p/0004-Do-not-require-older-pycparser.patch: Add
  * Bump standards version to 4.2.1 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 14:23:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libffi-dev,
                libgit2-dev (>= 0.27),
                python-all-dev,
                python-cffi (>= 0.9.2),
                python-pycparser,
+               python-pytest,
                python-setuptools,
                python-six,
                python3-sphinx,
                python3-all-dev,
                python3-cffi (>= 0.9.2),
                python3-pycparser,
+               python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pygit2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_AFTER_INSTALL_python3=PYTHONPATH={build_dir} python3 -m sphinx -b html $(CURDIR)/docs $(CURDIR)/debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

## python-pygit2 0.28.2

=== debian/changelog ===
python-pygit2 (0.28.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:59:05 +0800

python-pygit2 (0.28.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Nov 2019 12:22:27 +0100

python-pygit2 (0.28.2-1) experimental; urgency=medium

  * New upstream release (Closes: #931698)
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * d/patches/0004-Do-not-require-older-pycparser.patch:
    Drop, not needed anymore
  * Bump required version of libgit2 to 0.28

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 21:51:36 +0200

python-pygit2 (0.27.4-2) unstable; urgency=medium

  * Drop Python 2 support

 -- Ondřej Nový <onovy@debian.org>  Mon, 08 Jul 2019 13:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libffi-dev,
-               libgit2-dev (>= 0.27),
-               python-all-dev,
-               python-cffi (>= 0.9.2),
-               python-pycparser,
-               python-pytest,
-               python-setuptools,
-               python-six,
+               libgit2-dev (>= 0.28),
                python3-sphinx,
                python3-all-dev,
                python3-cffi (>= 0.9.2),
@@ -20,24 +14,11 @@
                python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
 Testsuite: autopkgtest-pkg-python
-
-Package: python-pygit2
-Architecture: any
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends},
-Suggests: python-pygit2-doc,
-Description: bindings for libgit2 - Python 2.x
- The Pygit2 module provides a set of Python bindings to the libgit2 shared
- library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
- 3.2, 3.3, 3.4 and pypy.
- .
- This package contains the Python 2.x module.
 
 Package: python3-pygit2
 Architecture: any

## python-pygit2 1.0.3

=== Makefile ===
.PHONY: build

build:
	python setup.py build_ext --inplace

html:
	cd docs && find . -name "*rst" | entr make html

=== debian/changelog ===
python-pygit2 (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Mon, 03 Feb 2020 16:29:50 +0100

python-pygit2 (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jan 2020 10:22:51 +0100

python-pygit2 (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 18:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
                python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-pygit2
 Architecture: any

## python-pygit2 1.4.0+dfsg1

=== Makefile ===
.PHONY: build html

build:
	python setup.py build_ext --inplace -g

html:
	cd docs && find . -name "*rst" | entr make html

=== debian/changelog ===
python-pygit2 (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.0+dfsg1.
  * Tighten dependency on libgit2.
  * Remove obsolete version guard.

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 09 Dec 2020 15:16:36 +0530

python-pygit2 (1.3.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
    - Transition time! \o/ (Closes: #971564)
  * Fix d/upstream/metadata.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 05 Dec 2020 00:39:37 +0530

python-pygit2 (1.3.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump standards version to 4.5.1.
  * d/watch: Bump version to 4.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Wed, 02 Dec 2020 10:03:09 +0100

python-pygit2 (1.2.1+dfsg1-2) experimental; urgency=medium

  * Invert logic disabling internet patch.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 20:12:02 +0200

python-pygit2 (1.2.1+dfsg1-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * Add BD on python3-cached-property
  * Tighten dependency on libgit2
  * Update d/copyright years
  * Add myself as an uploader

  [ Ondřej Nový ]
  * New upstream version 1.2.1
  * Rebase patches.
  * Use python3-sphinx-rtd-theme instead of bundled one.
  * d/copyright: Exclude bundled Sphinx rtd theme.
  * d/watch: dfsg version mangle.
  * Bump debhelper compat level to 13.
  * d/copyright: Bump my copyright year.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 15:30:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: python-pygit2
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+           Utkarsh Gupta <utkarsh@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libffi-dev,
-               libgit2-dev (>= 0.28),
+               libgit2-dev (>= 1.1.0),
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-all-dev,
-               python3-cffi (>= 0.9.2),
+               python3-cached-property,
+               python3-cffi,
                python3-pycparser,
                python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pygit2
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pygit2.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export PYBUILD_AFTER_INSTALL_python3=PYTHONPATH={build_dir} python3 -m sphinx -b html $(CURDIR)/docs $(CURDIR)/debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1 \
https://github.com/libgit2/pygit2/tags .*/v(\d[\d\.]+)\.tar\.gz

## python-pygit2 1.6.1%2Bdfsg

=== Makefile ===
.PHONY: build html

build:
	LIBSSH2_VERSION=1.9.0 LIBGIT2_VERSION=1.1.0 sh build.sh

html:
	cd docs && find . -name "*rst" | entr make html

## python-pygit2 1.6.1+dfsg

=== debian/changelog ===
python-pygit2 (1.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Avoid enum size mismatch when parsing git_object_t as integer

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Feb 2022 21:04:43 +0100

python-pygit2 (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Timo Röhling ]
  * New upstream version 1.6.1+dfsg
  * Update patches and copyright
  * Bump Standards-Version to 4.6.0
  * Switch to dh-sequence-* B-D for dh plugins

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Feb 2022 14:24:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
            Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       dh-sequence-python3,
+	       dh-sequence-sphinxdoc,
                libffi-dev,
                libgit2-dev (>= 1.1.0),
                python3-sphinx,
@@ -17,7 +19,7 @@
                python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export PYBUILD_AFTER_INSTALL_python3=PYTHONPATH={build_dir} python3 -m sphinx -b html $(CURDIR)/docs $(CURDIR)/debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## python-pygit2 1.8.0

=== Makefile ===
.PHONY: build html

build:
	LIBSSH2_VERSION=1.10.0 LIBGIT2_VERSION=1.3.0 sh build.sh

html: build
	make -C docs html

=== debian/changelog ===
python-pygit2 (1.8.0-3) unstable; urgency=medium

  * Team upload.
  * Depend on openssl (Closes: #1011714)
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Jun 2022 23:10:20 +0200

python-pygit2 (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable for the libgit2 transition.
    (Closes: #1009033)

 -- Timo Röhling <roehling@debian.org>  Mon, 02 May 2022 15:43:32 +0200

python-pygit2 (1.8.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.8.0
  * Depend on libgit2 >= 1.3.0

 -- Timo Röhling <roehling@debian.org>  Sun, 01 May 2022 19:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	       dh-sequence-python3,
 	       dh-sequence-sphinxdoc,
                libffi-dev,
-               libgit2-dev (>= 1.1.0),
+               libgit2-dev (>= 1.3.0),
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-all-dev,
@@ -19,7 +19,7 @@
                python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
@@ -31,6 +31,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
+	 openssl,
 Suggests: python-pygit2-doc,
 Description: bindings for libgit2 - Python 3.x
  The Pygit2 module provides a set of Python bindings to the libgit2 shared

## python-pygit2 1.11.1

=== Makefile ===
.PHONY: build html

build:
	LIBSSH2_VERSION=1.10.0 LIBGIT2_VERSION=1.5.0 sh build.sh

html: build
	make -C docs html

=== requirements.txt ===
cffi>=1.9.1

=== debian/changelog ===
python-pygit2 (1.11.1-3) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 10:54:01 +0100

python-pygit2 (1.11.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pygit2-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:45:26 +0000

python-pygit2 (1.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.11.1

 -- Timo Röhling <roehling@debian.org>  Sat, 12 Nov 2022 20:05:02 +0100

python-pygit2 (1.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.11.0

 -- Timo Röhling <roehling@debian.org>  Mon, 07 Nov 2022 21:04:18 +0100

python-pygit2 (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 16:19:16 +0200

python-pygit2 (1.10.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.10.1
  * Depend on libgit2 >= 1.5.0

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Aug 2022 20:22:38 +0200

python-pygit2 (1.9.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.9.2

 -- Timo Röhling <roehling@debian.org>  Wed, 25 May 2022 22:11:12 +0200

python-pygit2 (1.9.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.9.1
  * Refresh patches
    - Drop Avoid-enum-size-mismatch-when-parsing-git_object_t-a.patch
      (applied by upstream)
  * Depend on libgit2 >= 1.4.0
  * Run Sphinx on modules in build dir (Closes: #1000733)

 -- Timo Röhling <roehling@debian.org>  Mon, 16 May 2022 21:36:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	       dh-sequence-python3,
 	       dh-sequence-sphinxdoc,
                libffi-dev,
-               libgit2-dev (>= 1.3.0),
+               libgit2-dev (>= 1.5),
+	       libgit2-dev (<< 1.6~),
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-all-dev,
@@ -23,7 +24,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-pygit2
@@ -45,6 +46,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: bindings for libgit2 - doc
  The Pygit2 module provides a set of Python bindings to the libgit2 shared
  library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pygit2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_AFTER_INSTALL_python3=cd docs && PYTHONPATH={build_dir} {interpreter} -m sphinx -b html . $(CURDIR)/debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
     https://github.com/libgit2/pygit2/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pygit2 1.12.2

=== debian/changelog ===
python-pygit2 (1.12.2-1) experimental; urgency=medium

  * New upstream version 1.12.2

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 23:16:04 +0200

python-pygit2 (1.12.1-1) experimental; urgency=medium

  * Make package cross-buildable
  * Bump Standards-Version to 4.6.2
  * New upstream version 1.12.1
  * Refresh patches
  * Update d/copyright
  * Add myself to uploaders
  * Depend on libgit2 1.6.x
  * Fix nodoc logic in d/rules

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jun 2023 22:57:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
-           Utkarsh Gupta <utkarsh@debian.org>
+           Utkarsh Gupta <utkarsh@debian.org>,
+	   Timo Röhling <roehling@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-	       dh-sequence-python3,
-	       dh-sequence-sphinxdoc,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                libffi-dev,
-               libgit2-dev (>= 1.5),
-	       libgit2-dev (<< 1.6~),
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-all-dev,
-               python3-cached-property,
-               python3-cffi,
-               python3-pycparser,
-               python3-pytest,
+               libgit2-dev (>= 1.6),
+               libgit2-dev (<< 1.7~),
+               libpython3-all-dev,
+               python3-sphinx:native <!nodoc>,
+               python3-sphinx-rtd-theme:native <!nodoc>,
+               python3-all-dev:any,
+               python3-cffi:native,
+               python3-pycparser:native,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
@@ -32,7 +32,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-	 openssl,
+         openssl,
 Suggests: python-pygit2-doc,
 Description: bindings for libgit2 - Python 3.x
  The Pygit2 module provides a set of Python bindings to the libgit2 shared
